Bug 1562956 - All replication operations should be queued
Summary: All replication operations should be queued
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Replication
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Yuri Rudman
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-02 18:39 UTC by Nick Carboni
Modified: 2019-02-07 23:01 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:30 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:35 UTC

Description Nick Carboni 2018-04-02 18:39:09 UTC
Description of problem:
Currently subscription saves and changes in the replication mode are not queued and are being handled by a puma worker directly.

In some cases we have seen these operations take a long time and time out the UI.

We should queue these and raise a notification when the operation is finished.


How reproducible:

Not very, we only see large times to add a subscription in a customer environment and even there not consistently.


Additional info:

In this particular case adding a subscription tied up a puma worker for nearly 30 minutes.

Comment 5 CFME Bot 2018-09-12 18:06:09 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/e7c0712918e2c67fd385af71c8414caa83331b14
commit e7c0712918e2c67fd385af71c8414caa83331b14
Author:     Yuri Rudman <yrudman@redhat.com>
AuthorDate: Thu Sep  6 12:20:24 2018 -0400
Commit:     Yuri Rudman <yrudman@redhat.com>
CommitDate: Thu Sep  6 12:20:24 2018 -0400

    move logic related to pglogical replication set-up from ui to model
    https://bugzilla.redhat.com/show_bug.cgi?id=1562956

    rebasing

 app/models/pglogical_subscription.rb | 13 +-
 lib/miq_pglogical.rb | 35 +
 2 files changed, 45 insertions(+), 3 deletions(-)

Comment 7 CFME Bot 2018-09-14 10:57:28 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/2e9833fd7d4cce53677d582207856d917d5c53ec
commit 2e9833fd7d4cce53677d582207856d917d5c53ec
Author:     Yuri Rudman <yrudman@redhat.com>
AuthorDate: Thu Sep  6 12:18:57 2018 -0400
Commit:     Yuri Rudman <yrudman@redhat.com>
CommitDate: Thu Sep  6 12:18:57 2018 -0400

    move logic dealing with pglogical subscriptions from UI to model
    https://bugzilla.redhat.com/show_bug.cgi?id=1562956

 app/controllers/ops_controller/settings/common.rb | 75 +-
 1 file changed, 31 insertions(+), 44 deletions(-)

Comment 8 Tasos Papaioannou 2018-10-03 17:29:20 UTC
Verified on 5.10.0.17.

Comment 10 errata-xmlrpc 2019-02-07 23:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.